Patch Settings
Patch metadata or config, such as bindings or usage model.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYYAPI Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
X-Auth-Email: user@example.comThe previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194Accepted Permissions (at least one required)
Workers Scripts WritePath ParametersExpand Collapse
Body ParametersForm DataExpand Collapse
settings: optional object { annotations, bindings, compatibility_date, 9 more }
annotations: optional object { "workers/message", "workers/tag", "workers/triggered_by" } Annotations for the Worker version. Annotations are not inherited across settings updates; omitting this field means the new version will have no annotations.
Annotations for the Worker version. Annotations are not inherited across settings updates; omitting this field means the new version will have no annotations.
bindings: optional array of object { name, type } or object { instance_name, name, type, namespace } or object { name, namespace, type } or 32 moreList of bindings attached to a Worker. You can find more about bindings on our docs: https://developers.cloudflare.com/workers/configuration/multipart-upload-metadata/#bindings.
List of bindings attached to a Worker. You can find more about bindings on our docs: https://developers.cloudflare.com/workers/configuration/multipart-upload-metadata/#bindings.
AISearch object { instance_name, name, type, namespace }
AISearchNamespace object { name, namespace, type }
DispatchNamespace object { name, namespace, type, outbound }
Inherit object { name, type, old_name, version_id }
Ratelimit object { name, namespace_id, simple, type }
R2Bucket object { bucket_name, name, type, jurisdiction }
jurisdiction: optional "eu" or "fedramp" or "fedramp-high"The jurisdiction of the R2 bucket.
The jurisdiction of the R2 bucket.
SecretKey object { algorithm, format, name, 4 more }
Algorithm-specific key parameters. Learn more.
format: "raw" or "pkcs8" or "spki" or "jwk"Data format of the key. Learn more.
Data format of the key. Learn more.
usages: array of "encrypt" or "decrypt" or "sign" or 5 moreAllowed operations with the key. Learn more.
Allowed operations with the key. Learn more.
Base64-encoded key data. Required if format is “raw”, “pkcs8”, or “spki”.
Key data in JSON Web Key format. Required if format is “jwk”.
Workflow object { name, type, workflow_name, 2 more }
Date indicating targeted support in the Workers runtime. Backwards incompatible fixes to the runtime following this date will not affect this Worker.
Flags that enable or disable certain features in the Workers runtime. Used to enable upcoming features or opt in or out of specific changes not included in a compatibility_date.
migrations: optional SingleStepMigration { deleted_classes, new_classes, new_sqlite_classes, 4 more } or object { new_tag, old_tag, steps } Migrations to apply for Durable Objects associated with this Worker.
Migrations to apply for Durable Objects associated with this Worker.
SingleStepMigration object { deleted_classes, new_classes, new_sqlite_classes, 4 more } A single set of migrations to apply.
A single set of migrations to apply.
A list of classes to delete Durable Object namespaces from.
A list of classes to create Durable Object namespaces with SQLite from.
Tag used to verify against the latest migration tag for this Worker. If they don’t match, the upload is rejected.
WorkersMultipleStepMigrations object { new_tag, old_tag, steps }
Tag used to verify against the latest migration tag for this Worker. If they don’t match, the upload is rejected.
Migrations to apply in order.
Migrations to apply in order.
A list of classes to delete Durable Object namespaces from.
A list of classes to create Durable Object namespaces with SQLite from.
observability: optional object { enabled, head_sampling_rate, logs, traces } Observability settings for the Worker.
Observability settings for the Worker.
The sampling rate for incoming requests. From 0 to 1 (1 = 100%, 0.1 = 10%). Default is 1.
logs: optional object { enabled, invocation_logs, destinations, 2 more } Log settings for the Worker.
Log settings for the Worker.
Whether invocation logs are enabled for the Worker.
placement: optional object { mode } or object { region } or object { hostname } or 5 moreConfiguration for Smart Placement. Specify mode=‘smart’ for Smart Placement, or one of region/hostname/host.
Configuration for Smart Placement. Specify mode=‘smart’ for Smart Placement, or one of region/hostname/host.
Mode object { mode }
Enables Smart Placement.
ReturnsExpand Collapse
result: object { annotations, bindings, compatibility_date, 9 more }
annotations: optional object { "workers/message", "workers/tag", "workers/triggered_by" } Annotations for the Worker version. Annotations are not inherited across settings updates; omitting this field means the new version will have no annotations.
Annotations for the Worker version. Annotations are not inherited across settings updates; omitting this field means the new version will have no annotations.
bindings: optional array of object { name, type } or object { instance_name, name, type, namespace } or object { name, namespace, type } or 32 moreList of bindings attached to a Worker. You can find more about bindings on our docs: https://developers.cloudflare.com/workers/configuration/multipart-upload-metadata/#bindings.
List of bindings attached to a Worker. You can find more about bindings on our docs: https://developers.cloudflare.com/workers/configuration/multipart-upload-metadata/#bindings.
AISearch object { instance_name, name, type, namespace }
AISearchNamespace object { name, namespace, type }
DispatchNamespace object { name, namespace, type, outbound }
Inherit object { name, type, old_name, version_id }
Ratelimit object { name, namespace_id, simple, type }
R2Bucket object { bucket_name, name, type, jurisdiction }
jurisdiction: optional "eu" or "fedramp" or "fedramp-high"The jurisdiction of the R2 bucket.
The jurisdiction of the R2 bucket.
SecretKey object { algorithm, format, name, 4 more }
Algorithm-specific key parameters. Learn more.
format: "raw" or "pkcs8" or "spki" or "jwk"Data format of the key. Learn more.
Data format of the key. Learn more.
usages: array of "encrypt" or "decrypt" or "sign" or 5 moreAllowed operations with the key. Learn more.
Allowed operations with the key. Learn more.
Base64-encoded key data. Required if format is “raw”, “pkcs8”, or “spki”.
Key data in JSON Web Key format. Required if format is “jwk”.
Workflow object { name, type, workflow_name, 2 more }
Date indicating targeted support in the Workers runtime. Backwards incompatible fixes to the runtime following this date will not affect this Worker.
Flags that enable or disable certain features in the Workers runtime. Used to enable upcoming features or opt in or out of specific changes not included in a compatibility_date.
migrations: optional SingleStepMigration { deleted_classes, new_classes, new_sqlite_classes, 4 more } or object { new_tag, old_tag, steps } Migrations to apply for Durable Objects associated with this Worker.
Migrations to apply for Durable Objects associated with this Worker.
SingleStepMigration object { deleted_classes, new_classes, new_sqlite_classes, 4 more } A single set of migrations to apply.
A single set of migrations to apply.
A list of classes to delete Durable Object namespaces from.
A list of classes to create Durable Object namespaces with SQLite from.
Tag used to verify against the latest migration tag for this Worker. If they don’t match, the upload is rejected.
WorkersMultipleStepMigrations object { new_tag, old_tag, steps }
Tag used to verify against the latest migration tag for this Worker. If they don’t match, the upload is rejected.
Migrations to apply in order.
Migrations to apply in order.
A list of classes to delete Durable Object namespaces from.
A list of classes to create Durable Object namespaces with SQLite from.
observability: optional object { enabled, head_sampling_rate, logs, traces } Observability settings for the Worker.
Observability settings for the Worker.
The sampling rate for incoming requests. From 0 to 1 (1 = 100%, 0.1 = 10%). Default is 1.
logs: optional object { enabled, invocation_logs, destinations, 2 more } Log settings for the Worker.
Log settings for the Worker.
Whether invocation logs are enabled for the Worker.
placement: optional object { mode } or object { region } or object { hostname } or 5 moreConfiguration for Smart Placement. Specify mode=‘smart’ for Smart Placement, or one of region/hostname/host.
Configuration for Smart Placement. Specify mode=‘smart’ for Smart Placement, or one of region/hostname/host.
Mode object { mode }
Enables Smart Placement.
Patch Settings
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/workers/scripts/$SCRIPT_NAME/settings \
-X PATCH \
-H 'Content-Type: multipart/form-data' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"annotations": {
"workers/message": "Fixed bug.",
"workers/tag": "v1.0.1",
"workers/triggered_by": "upload"
},
"bindings": [
{
"name": "MY_ENV_VAR",
"text": "my_data",
"type": "plain_text"
}
],
"compatibility_date": "2021-01-01",
"compatibility_flags": [
"nodejs_compat"
],
"limits": {
"cpu_ms": 50,
"subrequests": 1000
},
"logpush": false,
"observability": {
"enabled": true,
"head_sampling_rate": 0.1,
"logs": {
"enabled": true,
"invocation_logs": true,
"destinations": [
"cloudflare"
],
"head_sampling_rate": 0.1,
"persist": true
},
"traces": {
"destinations": [
"cloudflare"
],
"enabled": true,
"head_sampling_rate": 0.1,
"persist": true
}
},
"placement": {
"mode": "smart"
},
"tags": [
"my-team",
"my-public-api"
],
"tail_consumers": [
{
"service": "my-log-consumer",
"environment": "production",
"namespace": "my-namespace"
}
],
"usage_model": "standard"
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"annotations": {
"workers/message": "Fixed bug.",
"workers/tag": "v1.0.1",
"workers/triggered_by": "upload"
},
"bindings": [
{
"name": "MY_ENV_VAR",
"text": "my_data",
"type": "plain_text"
}
],
"compatibility_date": "2021-01-01",
"compatibility_flags": [
"nodejs_compat"
],
"limits": {
"cpu_ms": 50,
"subrequests": 1000
},
"logpush": false,
"observability": {
"enabled": true,
"head_sampling_rate": 0.1,
"logs": {
"enabled": true,
"invocation_logs": true,
"destinations": [
"cloudflare"
],
"head_sampling_rate": 0.1,
"persist": true
},
"traces": {
"destinations": [
"cloudflare"
],
"enabled": true,
"head_sampling_rate": 0.1,
"persist": true
}
},
"placement": {
"mode": "smart"
},
"tags": [
"my-team",
"my-public-api"
],
"tail_consumers": [
{
"service": "my-log-consumer",
"environment": "production",
"namespace": "my-namespace"
}
],
"usage_model": "standard"
},
"success": true
}